class_name Enemy

extends CharacterBody2D

signal enemy_defeat

@export var damage = 8.0
@export var max_health = 20

var health: float

func _ready():
	health = max_health

func take_damage(amount: float):
	health -= amount
	if health <= 0:
		enemy_defeat.emit()
		queue_free()
