extends Control

@export var stats: Statistics

@export var survived_indicator: Label
@export var wave_indicator: Label
@export var enemies_indicator: Label
@export var bullet_indicator: Label

func _show():
	survived_indicator.text = "%.2fs" % (stats.get_time_survived() / 1000.0)
	wave_indicator.text = "%d" % stats.get_current_wave()
	enemies_indicator.text = "%d" % stats.enemies_defeated
	bullet_indicator.text = "%d" % stats.bullet_shoot
	visible = true
